package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSInterfaceParent;

@ObfuscatedName("dc")
public class InterfaceParent extends Node implements RSInterfaceParent {
   @ObfuscatedName("gd")
   static String characterId;
   @ObfuscatedName("ty")
   static boolean field1052;
   @ObfuscatedName("at")
   @ObfuscatedGetter(
      intValue = -2029858409
   )
   int group;
   @ObfuscatedName("ah")
   @ObfuscatedGetter(
      intValue = 198246779
   )
   int type;
   @ObfuscatedName("ar")
   boolean field1047;

   InterfaceParent() {
      this.field1047 = false;
   }

   public int getId() {
      return this.group;
   }

   public void setId(int var1) {
      this.group = var1;
   }

   public int getModalMode() {
      return this.type;
   }

   public void setModalMode(int var1) {
      this.type = var1;
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(Lmf;I)V",
      garbageValue = "-919285791"
   )
   public static void method2353_base(class322 var0) {
      class316.field3420.remove(var0);
   }

   @ObfuscatedName("ah")
   @ObfuscatedSignature(
      descriptor = "(I)I",
      garbageValue = "-1759271664"
   )
   public static int method2351_base() {
      int var10000 = ++MouseHandler.MouseHandler_idleCycles;
      Client.onIdleCyclesChanged(-1);
      return var10000 - 1;
   }

   @ObfuscatedName("ax")
   @ObfuscatedSignature(
      descriptor = "(B)V",
      garbageValue = "94"
   )
   public static void method2352_base() {
      NPCComposition.NpcDefinition_cached.clear_base();
      NPCComposition.NpcDefinition_cachedModels.clear_base();
   }
}
